<?php

$bd_host = "localhost"; // хост
$bd_user = "Логин"; // логин
$bd_password = "Пароль";  // пароль
$bd_base = "База"; // БД

$con = mysql_connect( $bd_host, $bd_user, $bd_password ) or die( 'Ошибка соеденения с базой!' );
mysql_select_db( $bd_base, $con );
mysql_query( "set names cp1251" );

include_once ROOT_DIR . '/engine/function.php';

$config = mysql_fetch_array( mysql_query( "SELECT * FROM config WHERE id = 1" ) );
$config_site = mysql_fetch_array( mysql_query( "SELECT * FROM config_site WHERE id = 1" ) );

if ( isset( $_SESSION['iduser'] ) ) {
    $config_user = mysql_fetch_array( mysql_query( "SELECT * FROM user WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" ) );
    
    #Выходим если пользователь заблокирован
    if ( $config_user['blockuser'] == 1 ) {
        header( "Location: /exit" );
        //exit();
    }
    #Выходим если пользователь удален
    if ( $config_user['userdel'] == 1 ) {
        header( "Location: /exit" );
        //exit();
    }
    #Если разные браузеры
    if ( $config_user['browser'] != user_browser( $_SERVER['HTTP_USER_AGENT'] ) ) {
        header( "Location: /exit" );
        //exit();
    }
	#Обновление показателей автосерфинга на сегодня.
	mysql_query( "UPDATE user SET autoserf_kolvo = 0, autoserf_sum = 0, autoserf_time = '" . date( 'Y-m-d', time() ) . "' WHERE autoserf_time < '" . date( 'Y-m-d', time() ) . "' AND id = '" . $_SESSION['iduser'] . "'" );
}

?>